import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "dstindex": {
            "title": "DST",
            "caption": "ibizlab",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "lite",
            "viewname": "dstIndex",
            "viewtag": "010508c3fad87c6834d847f3f953b752"
        },
        "metamodelpickupgridview": {
            "title": "模型选择表格视图",
            "caption": "模型",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModelPickupGridView",
            "viewtag": "0138cf6fabeea36df7ab578676450e6e"
        },
        "dadimensioneditview": {
            "title": "维度编辑视图",
            "caption": "维度",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "analysis",
            "viewname": "DADimensionEditView",
            "viewtag": "02bd5d4855896aeccc41847f9a761460"
        },
        "dabuildgridview": {
            "title": "分析表格视图",
            "caption": "分析",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "analysis",
            "viewname": "DABuildGridView",
            "viewtag": "08ffec9daab32e20d7b560f58c5c5ede"
        },
        "execloggridview": {
            "title": "执行日志表格视图",
            "caption": "执行日志",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "rule",
            "viewname": "ExecLogGridView",
            "viewtag": "0b73baede663f44e34922b120c4eb1b5"
        },
        "ruleengineeditview": {
            "title": "规则引擎编辑视图",
            "caption": "规则引擎",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "rule",
            "viewname": "RuleEngineEditView",
            "viewtag": "0d1bc9c638ba04c5774c025e1a1eddd1"
        },
        "ruleitemgridview": {
            "title": "规则表格视图",
            "caption": "规则",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "rule",
            "viewname": "RuleItemGridView",
            "viewtag": "10ab5e91502066e434c01d11eda9ec8c"
        },
        "metamodulegridview": {
            "title": "模块表格视图",
            "caption": "模块",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModuleGridView",
            "viewtag": "126d4ecd07541fa535fa503fe1dae602"
        },
        "execlogeditview": {
            "title": "执行日志编辑视图",
            "caption": "执行日志",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "rule",
            "viewname": "ExecLogEditView",
            "viewtag": "1279b311cfe173499c68fb63fafa30fa"
        },
        "metarelationshippickupgridview": {
            "title": "实体关系选择表格视图",
            "caption": "实体关系",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaRelationshipPickupGridView",
            "viewtag": "12a472fecfce87913dfe7b2eed0abae0"
        },
        "dstsystemeditview": {
            "title": "系统编辑视图",
            "caption": "系统",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "DstSystemEditView",
            "viewtag": "14f8bfb549eedacb25bad2af453c5ad3"
        },
        "metamodulepickupgridview": {
            "title": "模块选择表格视图",
            "caption": "模块",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModulePickupGridView",
            "viewtag": "17ce052423b847f488d74d3b2ba6bfdf"
        },
        "execresultgridview": {
            "title": "执行结果表格视图",
            "caption": "执行结果",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "rule",
            "viewname": "ExecResultGridView",
            "viewtag": "1b472dc31d7586037311b19f13ecd5b8"
        },
        "dstdatasourcepickupview": {
            "title": "数据源数据选择视图",
            "caption": "数据源",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "DstDataSourcePickupView",
            "viewtag": "1bb847c6d4ffd0298789556d4dbe37a7"
        },
        "metarelationshippickupview": {
            "title": "实体关系数据选择视图",
            "caption": "实体关系",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaRelationshipPickupView",
            "viewtag": "1c07c02dbdabe0de1cd85e6235497549"
        },
        "metarelationshipgridview": {
            "title": "实体关系表格视图",
            "caption": "实体关系",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaRelationshipGridView",
            "viewtag": "204b909ab7496f579d3688279dd851bb"
        },
        "ruleitempickupview": {
            "title": "规则数据选择视图",
            "caption": "规则",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "rule",
            "viewname": "RuleItemPickupView",
            "viewtag": "2b6c5cbcb647db5adc94fd966aa80bfd"
        },
        "dstdatasourceeditview": {
            "title": "数据源编辑视图",
            "caption": "数据源",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "DstDataSourceEditView",
            "viewtag": "2c9bb70a801b520dfdc5bc22c56d3aa0"
        },
        "dametricgridview": {
            "title": "指标表格视图",
            "caption": "指标",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "analysis",
            "viewname": "DAMetricGridView",
            "viewtag": "311397b990a864f52992aa9b391bfc32"
        },
        "dstsystempickupview": {
            "title": "系统数据选择视图",
            "caption": "系统",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "DstSystemPickupView",
            "viewtag": "3801af2ccbe0dfafc149efc6f0ccb0e5"
        },
        "ruleitempickupgridview": {
            "title": "规则选择表格视图",
            "caption": "规则",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "rule",
            "viewname": "RuleItemPickupGridView",
            "viewtag": "39a2ac0f7cdc72d675c9829f56c92dd7"
        },
        "metafieldeditgridview": {
            "title": "属性表格视图",
            "caption": "属性",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaFieldEditGridView",
            "viewtag": "3cbe2fc7acab1a6f0e7e81f1bd86cd41"
        },
        "metamoduleeditview": {
            "title": "模块编辑视图",
            "caption": "模块",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModuleEditView",
            "viewtag": "40f89ed271da10484bbc509b79958592"
        },
        "metadataseteditview": {
            "title": "数据集编辑视图",
            "caption": "数据集",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaDataSetEditView",
            "viewtag": "43523e981c1757d67545cf77448df32e"
        },
        "dareporteditview": {
            "title": "报表编辑视图",
            "caption": "报表",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "analysis",
            "viewname": "DAReportEditView",
            "viewtag": "4425be08b70d5319481f443085373932"
        },
        "ruleitemeditview": {
            "title": "规则编辑视图",
            "caption": "规则",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "rule",
            "viewname": "RuleItemEditView",
            "viewtag": "4626aa560dd7da0d0b13aad2f76b69cd"
        },
        "ruleitemmpickupview": {
            "title": "规则数据多项选择视图",
            "caption": "规则",
            "viewtype": "DEMPICKUPVIEW",
            "viewmodule": "rule",
            "viewname": "RuleItemMPickupView",
            "viewtag": "4ca19abc707ad8902a93555d5225eec4"
        },
        "dabuildmpickupview": {
            "title": "分析数据多项选择视图",
            "caption": "分析",
            "viewtype": "DEMPICKUPVIEW",
            "viewmodule": "analysis",
            "viewname": "DABuildMPickupView",
            "viewtag": "533710456f7f492b6e56cab982f7dcf4"
        },
        "metamodelpickupview": {
            "title": "模型数据选择视图",
            "caption": "模型",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModelPickupView",
            "viewtag": "576926a1494d9d3727dbd9c2c16ef2fc"
        },
        "dacharteditview": {
            "title": "图表编辑视图",
            "caption": "图表",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "analysis",
            "viewname": "DAChartEditView",
            "viewtag": "596fc713bbfe4da8b2089303bf681fd1"
        },
        "dabuildeditview": {
            "title": "分析编辑视图",
            "caption": "分析",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "analysis",
            "viewname": "DABuildEditView",
            "viewtag": "5e18c7b90bbee897eb493d3ac7d27cc4"
        },
        "metaentitypickupview": {
            "title": "实体数据选择视图",
            "caption": "实体",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaEntityPickupView",
            "viewtag": "601fb9bf6eec2a7e264e7142017715a4"
        },
        "metaentityeditview": {
            "title": "实体编辑视图",
            "caption": "实体",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaEntityEditView",
            "viewtag": "6154840ea9105fe78d20a257acce50ba"
        },
        "metamodeleditview": {
            "title": "模型编辑视图",
            "caption": "模型",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModelEditView",
            "viewtag": "62c99660031ae1998bb8c9c95fe4661a"
        },
        "dabuildpickupgridview": {
            "title": "分析选择表格视图",
            "caption": "分析",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "analysis",
            "viewname": "DABuildPickupGridView",
            "viewtag": "66fd013361038de12e814e8011122723"
        },
        "metamodulepickupview": {
            "title": "模块数据选择视图",
            "caption": "模块",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModulePickupView",
            "viewtag": "6c1c3923e62702394622b642a9952bd7"
        },
        "ruleenginegridview": {
            "title": "规则引擎表格视图",
            "caption": "规则引擎",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "rule",
            "viewname": "RuleEngineGridView",
            "viewtag": "6e86bf4ff68dc883c7cedd90289cf139"
        },
        "dstsystempickupgridview": {
            "title": "系统选择表格视图",
            "caption": "系统",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstSystemPickupGridView",
            "viewtag": "6f7ee661b3b7394072fca45b82778c60"
        },
        "dabuildpickupview": {
            "title": "分析数据选择视图",
            "caption": "分析",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "analysis",
            "viewname": "DABuildPickupView",
            "viewtag": "853b207e7c16c0c872b05c618452b158"
        },
        "dstappgridview": {
            "title": "应用表格视图",
            "caption": "应用",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstAppGridView",
            "viewtag": "8f713abf416271b5aac44667872fa88a"
        },
        "metafieldpickupgridview": {
            "title": "属性选择表格视图",
            "caption": "属性",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaFieldPickupGridView",
            "viewtag": "914cae9916bd367675367665e8165397"
        },
        "dstdatasourcepickupgridview": {
            "title": "数据源选择表格视图",
            "caption": "数据源",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstDataSourcePickupGridView",
            "viewtag": "9316344c289b67395ed3b2bcdee6674e"
        },
        "metamodelmpickupview": {
            "title": "模型数据多项选择视图",
            "caption": "模型",
            "viewtype": "DEMPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModelMPickupView",
            "viewtag": "939958f951157ee8598beea8b75296e9"
        },
        "dachartgridview": {
            "title": "图表表格视图",
            "caption": "图表",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "analysis",
            "viewname": "DAChartGridView",
            "viewtag": "a4a6b127d490b6e0c0572dcf8ff1e304"
        },
        "metaentitygridview": {
            "title": "实体表格视图",
            "caption": "实体",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaEntityGridView",
            "viewtag": "a931b2778d30f3ec51ca895d85b6da69"
        },
        "dareportgridview": {
            "title": "报表表格视图",
            "caption": "报表",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "analysis",
            "viewname": "DAReportGridView",
            "viewtag": "a9502936dd5b510e79ada6cc477f6ff5"
        },
        "dstsystemgridview": {
            "title": "系统表格视图",
            "caption": "系统",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstSystemGridView",
            "viewtag": "aba2be52d4c2de842f461967ce08cf7d"
        },
        "dametriceditview": {
            "title": "指标编辑视图",
            "caption": "指标",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "analysis",
            "viewname": "DAMetricEditView",
            "viewtag": "b0fc4bae7655b93b1e554b05f06029f0"
        },
        "dstdatasourcegridview": {
            "title": "数据源表格视图",
            "caption": "数据源",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstDataSourceGridView",
            "viewtag": "b8139b901aee5b9b689750315f24c19f"
        },
        "metadatasetgridview": {
            "title": "数据集表格视图",
            "caption": "数据集",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaDataSetGridView",
            "viewtag": "b88526b042da335fe07234b43a635ddf"
        },
        "metafieldgridview": {
            "title": "属性表格视图",
            "caption": "属性",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaFieldGridView",
            "viewtag": "b88a264578c3f2db0b97abbb45d4bbeb"
        },
        "metafieldeditview": {
            "title": "属性编辑视图",
            "caption": "属性",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaFieldEditView",
            "viewtag": "bb9eb1a62b96ec02d1dec3f0fd06791e"
        },
        "metaentitypickupgridview": {
            "title": "实体选择表格视图",
            "caption": "实体",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaEntityPickupGridView",
            "viewtag": "bca764edbe3a023fe784399d384f57dc"
        },
        "execresulteditview": {
            "title": "执行结果编辑视图",
            "caption": "执行结果",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "rule",
            "viewname": "ExecResultEditView",
            "viewtag": "bf38acd2d602a0abb2021403e7da1ea7"
        },
        "metafieldpickupview": {
            "title": "属性数据选择视图",
            "caption": "属性",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaFieldPickupView",
            "viewtag": "c1fb92872e54e6b289956cd595c8f392"
        },
        "metamodelgridview": {
            "title": "模型表格视图",
            "caption": "模型",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModelGridView",
            "viewtag": "d648f6f7c56469a2007158ceb05aa6e5"
        },
        "dstappeditview": {
            "title": "应用编辑视图",
            "caption": "应用",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "DstAppEditView",
            "viewtag": "e57dde4a4a70fd4458b00dcd9b3c7823"
        },
        "metarelationshipeditgridview": {
            "title": "实体关系表格视图",
            "caption": "实体关系",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaRelationshipEditGridView",
            "viewtag": "e6680f2a41992382be6a1ffde17df734"
        },
        "dstapppickupgridview": {
            "title": "应用选择表格视图",
            "caption": "应用",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstAppPickupGridView",
            "viewtag": "ec0d8da500f87df29eb02d252654c2a5"
        },
        "dstapppickupview": {
            "title": "应用数据选择视图",
            "caption": "应用",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "DstAppPickupView",
            "viewtag": "efdf7abd89e09c4a57ab2fa94972d485"
        },
        "metarelationshipeditview": {
            "title": "实体关系编辑视图",
            "caption": "实体关系",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaRelationshipEditView",
            "viewtag": "ff5248be5ad816954b6a8f4aec3425cb"
        }
    }];
});

// 获取视图消息分组信息
mock.onGet('./assets/json/view-message-group.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
    }];
});